#include <allegro.h>

RGB_MAP my_rgb_map;

int main ()
{
   int I;

   allegro_init ();
   install_keyboard ();
   set_gfx_mode (GFX_SAFE, 320, 200, 0, 0);
   

   textout (screen, font, "Without rgb_map: ", 0, 1, 15);
   for (I = 0; I < 256; I++)
   {
      rectfill (screen, I, 10, I, 29, makecol (255, I, I));
      rectfill (screen, I, 30, I, 49, makecol (I, 255, I));
      rectfill (screen, I, 50, I, 69, makecol (I, I, 255));
   }

   textout (screen, font, "With rgb_map: ", 0, 101, 15);
   create_rgb_table (rgb_map = &my_rgb_map, default_palette, NULL);
   for (I = 0; I < 256; I++)
   {
      rectfill (screen, I, 110, I, 129, makecol (255, I, I));
      rectfill (screen, I, 130, I, 149, makecol (I, 255, I));
      rectfill (screen, I, 150, I, 169, makecol (I, I, 255));
   }

   readkey ();

   return 0;
}
END_OF_MAIN();

